clear all;
clc;

load bullionistdata.data;

data = bullionistdata;

m = data(:,1);
g = data(:,2);
p = data(:,3);

nlag1 = 1;
nlag2 = 2;
nlag3 = 3;

y = [p m g];

results1 = vare(y,nlag1);
results2 = vare(y,nlag2);
results3 = vare(y,nlag3);
vnames = strvcat('Price Level','Bank Notes','Government');

pgranger(results1,vnames);
pgranger(results2,vnames);
pgranger(results3,vnames);