% Plot the IRFS

% Load the IRFs from the results...

xscale = [1:40]';

figure(1);
subplot(5,3,1);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.qcr_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.qcr_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.qcr_em,'k--');
title('qcr');
subplot(5,3,2);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.r_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.r_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.r_em,'k--');
title('r');
subplot(5,3,3);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.phi_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.phi_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.phi_em,'k--');
title('\phi');
subplot(5,3,4);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.br_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.br_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.br_em,'k--');
title('br');
subplot(5,3,5);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.varrhocr_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.varrhocr_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.varrhocr_em,'k--');
title('varrhocr');
subplot(5,3,6);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.varrhocd_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.varrhocd_em,'k--'); hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.varrhocd_em,'k--');
title('varrhocd');
subplot(5,3,7);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.p_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.p_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.p_em,'k--');
title('p');
subplot(5,3,8);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.m_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.m_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.m_em,'k--');
title('m');
subplot(5,3,9);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.e_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.e_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.e_em,'k--');
title('e');
subplot(5,3,10);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.qcrstar_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.qcrstar_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.qcrstar_em,'k--');
title('qcr*');
subplot(5,3,11);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.rstar_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.rstar_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.rstar_em,'k--');
title('r*');
subplot(5,3,12);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.brstar_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.brstar_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.brstar_em,'k--');
title('br*');
subplot(5,3,13);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.varrhocdstar_em,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.varrhocdstar_em,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.varrhocdstar_em,'k--');
title('varrhocd*');


figure(2);
subplot(5,3,1);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.qcr_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.qcr_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.qcr_eg,'k--');
title('qcr');
subplot(5,3,2);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.r_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.r_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.r_eg,'k--');
title('r');
subplot(5,3,3);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.phi_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.phi_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.phi_eg,'k--');
title('\phi');
subplot(5,3,4);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.br_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.br_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.br_eg,'k--');
title('br');
subplot(5,3,5);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.varrhocr_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.varrhocr_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.varrhocr_eg,'k--');
title('varrhocr');
subplot(5,3,6);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.varrhocd_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.varrhocd_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.varrhocd_eg,'k--');
title('varrhocd');
subplot(5,3,7);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.p_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.p_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.p_eg,'k--');
title('p');
subplot(5,3,8);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.m_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.m_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.m_eg,'k--');
title('m');
subplot(5,3,9);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.g_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.g_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.g_eg,'k--');
title('g');
subplot(5,3,10);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.e_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.e_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.e_eg,'k--');
title('e');
subplot(5,3,11);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.qcrstar_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.qcrstar_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.qcrstar_eg,'k--');
title('qcr*');
subplot(5,3,12);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.rstar_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.rstar_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.rstar_eg,'k--');
title('r*');
subplot(5,3,13);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.brstar_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.brstar_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.brstar_eg,'k--');
title('br*');
subplot(5,3,14);
plot(xscale,oo_.PosteriorIRF.dsge.Mean.varrhocdstar_eg,'k-','LineWidth',2);hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDinf.varrhocdstar_eg,'k--');hold on;
plot(xscale,oo_.PosteriorIRF.dsge.HPDsup.varrhocdstar_eg,'k--');
title('varrhocd*');

